Bug 1298754 - angelscript is not updated when supertuxkart is updated
angelscript is not updated when supertuxkart is updated
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 17:43 EST by RudraB
Modified: 2016-07-07 05:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:26:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RudraB 2016-01-14 17:43:23 EST
Description of problem:
Hi,

The supertuxkart with update-testing is crashing. The reason is, when I have done update --enablerepo=updates-testing, it is not updated. So, it crashed as soon as I start it.

For check, I removed it and made a clean install, now angelscript's updated version(2.30.2-2) is downloaded, and running smoothly.

I think this should be inbuilt, and angelscript should be automatically updated when supertuxkart is updated. 

As proof:
1) Supertuxkart update 
sudo dnf update --enablerepo=updates-testing supertuxkart
Last metadata expiration check performed 0:06:48 ago on Thu Jan 14 23:22:53 2016.
Dependencies resolved.
==========================================================================================
 Package                  Arch          Version              Repository              Size
==========================================================================================
Upgrading:
 supertuxkart             x86_64        0.9.1-2.fc23         updates-testing        3.2 M
 supertuxkart-data        noarch        0.9.1-2.fc23         updates-testing        407 M

Transaction Summary
==========================================================================================
Upgrade  2 Packages


2) Now, removing supertuxkart:
sudo dnf erase supertuxkart
Dependencies resolved.
==========================================================================================
 Package                  Arch         Version               Repository              Size
==========================================================================================
Removing:
 angelscript              x86_64       2.30.0-8.fc23         @fedora                1.3 M
 enet                     x86_64       1.3.13-2.fc23         @fedora                 55 k
 openal-soft              x86_64       1.17.1-1.fc23         @updates               710 k
 opengl-games-utils       noarch       0.2-7.fc23            @fedora                2.9 k
 supertuxkart             x86_64       0.9.1-2.fc23          @updates-testing        10 M
 supertuxkart-data        noarch       0.9.1-2.fc23          @updates-testing       522 M
 wiiuse                   x86_64       0.12-13.fc23          @fedora                 85 k

Transaction Summary
==========================================================================================
Remove  7 Packages

**See angelscript version


3) fresh install of supertuxkart:
sudo dnf install --enablerepo=updates-testing supertuxkart
Last metadata expiration check performed 0:10:12 ago on Thu Jan 14 23:22:53 2016.
Dependencies resolved.
==========================================================================================
 Package                  Arch         Version                Repository             Size
==========================================================================================
Installing:
 angelscript              x86_64       2.30.2-2.fc23          updates-testing       465 k
 enet                     x86_64       1.3.13-2.fc23          fedora                 37 k
 openal-soft              x86_64       1.17.1-1.fc23          updates               336 k
 opengl-games-utils       noarch       0.2-7.fc23             fedora                 12 k
 supertuxkart             x86_64       0.9.1-2.fc23           updates-testing       3.2 M
 supertuxkart-data        noarch       0.9.1-2.fc23           updates-testing       407 M
 wiiuse                   x86_64       0.12-13.fc23           fedora                 42 k

Transaction Summary
==========================================================================================
Install  7 Packages
Comment 1 Igor Gnatenko 2016-07-07 05:26:51 EDT
Fixed with new angelscript.

Note You need to log in before you can comment on or make changes to this bug.